> ## Documentation Index
> Fetch the complete documentation index at: https://facetai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Export



## OpenAPI

````yaml POST /exports
openapi: 3.1.0
info:
  title: Gemma Export Service
  description: Export service for exporting models
  version: 1.0.0
servers:
  - url: https://export-service-433968519479.us-central1.run.app
security: []
paths:
  /exports:
    post:
      summary: Export Model
      operationId: Export_Model_exports_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExportRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportAck'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ExportRequest:
      properties:
        job_id:
          type: string
          title: Job Id
        export_type:
          type: string
          enum:
            - adapter
            - merged
            - gguf
          title: Export Type
        destination:
          items:
            type: string
            enum:
              - gcs
              - hf_hub
          type: array
          title: Destination
          default:
            - gcs
        hf_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Hf Token
        hf_repo_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Hf Repo Id
      type: object
      required:
        - job_id
        - export_type
      title: ExportRequest
    ExportAck:
      properties:
        success:
          type: boolean
          title: Success
        message:
          type: string
          title: Message
        export_id:
          type: string
          title: Export Id
      type: object
      required:
        - success
        - message
        - export_id
      title: ExportAck
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````